For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETBrand content
      • GETBrand content by ID
      • GETCountry configuration
      • GETAvailable currencies
      • GETCurrency configuration
      • GETDonation configuration
      • GETUnderwriters and plans
      • GETSingle underwriter and plans
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIBrand

Available currencies

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/currencies
GET
/products/v1/:brandCode/currencies
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies \
> -H "Authorization: Bearer <token>"
200World Nomads
1{
2 "expirySeconds": 86400,
3 "currencies": [
4 {
5 "currencyId": 1,
6 "code": "AUD",
7 "symbol": "",
8 "name": "Australian Dollar",
9 "hasMinorUnits": true
10 },
11 {
12 "currencyId": 2,
13 "code": "NZD",
14 "symbol": "",
15 "name": "New Zealand Dollar",
16 "hasMinorUnits": true
17 },
18 {
19 "currencyId": 4,
20 "code": "CAD",
21 "symbol": "",
22 "name": "Canada Dollar",
23 "hasMinorUnits": true
24 },
25 {
26 "currencyId": 6,
27 "code": "EUR",
28 "symbol": "€",
29 "name": "Euro",
30 "hasMinorUnits": true
31 },
32 {
33 "currencyId": 7,
34 "code": "GBP",
35 "symbol": "£",
36 "name": "United Kingdom Pound",
37 "hasMinorUnits": true
38 },
39 {
40 "currencyId": 8,
41 "code": "USD",
42 "symbol": "",
43 "name": "United States Dollar",
44 "hasMinorUnits": true
45 }
46 ]
47}
Returns configuration for all available currencies for a brand
Was this page helpful?
Previous

Currency configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:

Response

Success
expirySecondsinteger
currencieslist of objects